<template>
	<view class="content">
		<uni-card class="card">
			<uni-section title="基本信息" type="line">

				<view>
					<view class="lzcOCR">
						<view class="imgBox">
							<image :src="zjcaijianSrc2" style="width: 40vw;" mode="widthFix">
							</image>
							<view class="text">拍摄人像面</view>
						</view>
						<view class="imgBox">
							<image :src="zjcaijianSrcFan2" style="width: 40vw;" mode="widthFix">
							</image>
							<view class="text">拍摄国徽面</view>
						</view>
					</view>
				</view>

				<uni-forms ref="baseForm" :modelValue="baseFormData" :rules="rules" style="margin-top: 5vh;">
					<uni-forms-item label="姓名" required name="lrXm">
						<uni-easyinput ref="xm" type="text" :disabled="disabled" v-model="baseFormData.lrXm"
							placeholder="请输入姓名" :inputBorder="true"></uni-easyinput>
					</uni-forms-item>
					<uni-forms-item label="手机号" required name="lrCydh">
						<uni-easyinput type="text" v-model="baseFormData.lrCydh" placeholder="请输入手机号"
							:inputBorder="true"></uni-easyinput>
					</uni-forms-item>
					<uni-forms-item label="监护人姓名">
						<uni-easyinput ref="xm" type="text" v-model="baseFormData.jhrxm" placeholder="请输入监护人姓名"
							:inputBorder="true"></uni-easyinput>
					</uni-forms-item>
					<uni-forms-item label="监护人联系电话" name="jhrlxdh">
						<uni-easyinput type="text" v-model="baseFormData.jhrlxdh" placeholder="请输入监护人联系电话"
							:inputBorder="true"></uni-easyinput>
					</uni-forms-item>

					<uni-forms-item label="街道社区" v-if="level !== 5">
						<!-- <uni-data-picker v-if="level === 3" :localdata="items" :clear-icon="false"
							v-model="baseFormData.lrHjdz" popup-title="请选择街道社区"></uni-data-picker> -->
							<uni-data-picker ref="picker" style="width: 0px;height: 0px;" :localdata="items" :clear-icon="false" @change="onchange"
								v-model="baseFormData.lrHjdz" popup-title="请选择街道社区"></uni-data-picker>
							<uni-easyinput v-if="level === 3" type="text" v-model="diqu" @focus="openPicker()" placeholder="请选择街道社区"
								:clearable="false">
							</uni-easyinput>
							
						<uni-easyinput v-else type="text" v-model="diqu" @focus="toggle('bottom')" placeholder="请选择街道社区"
							:clearable="false"></uni-easyinput>
					</uni-forms-item>

					<uni-forms-item label="住址" required name="jzdz">
						<uni-easyinput type="text" v-model="baseFormData.jzdz" placeholder="请输入住址"
							:inputBorder="true"></uni-easyinput>
					</uni-forms-item>

					<uni-forms-item label="是否特困">
						<uni-data-checkbox v-model="baseFormData.istk" :localdata="radioData"
							@change="radioChange('tkzmList',$event)"></uni-data-checkbox>
					</uni-forms-item>

					<uni-forms-item label="特困证明" v-if="baseFormData.istk == 1">
						<myfile :zczmList="tkzmList" @recordsChange="tkChange"></myfile>
					</uni-forms-item>

					<uni-forms-item label="是否低保">
						<uni-data-checkbox v-model="baseFormData.isdb" :localdata="radioData"
							@change="radioChange('dbzmList',$event)"></uni-data-checkbox>
					</uni-forms-item>

					<uni-forms-item label="低保证明" v-if="baseFormData.isdb == 1">
						<myfile :zczmList="dbzmList" @recordsChange="dbChange"></myfile>
					</uni-forms-item>

					<uni-forms-item label="是否重残">
						<uni-data-checkbox v-model="baseFormData.iszc" :localdata="radioData"
							@change="radioChange('zczmList',$event)"></uni-data-checkbox>
					</uni-forms-item>

					<uni-forms-item label="重残证明" v-if="baseFormData.iszc == 1">
						<!-- <uni-file-picker v-model="zczm" @select="imgSelect3" @delete="imgDelete3"></uni-file-picker> -->
						<myfile :zczmList="zczmList" @recordsChange="zcChange"></myfile>
					</uni-forms-item>

					<uni-forms-item v-if="baseFormData.lrSpyj" label="审核意见" name="lrSpyj">
						<uni-easyinput ref="lrSpyj" v-model="baseFormData.lrSpyj" type="textarea" disabled
							placeholder="请输入审核意见" />
					</uni-forms-item>

					<view>
						<!-- <button cursor-spacing="22px" class="buttonClass" @click="ht()">刷脸激活</button> -->
						<button cursor-spacing="22px" class="buttonClass" @click="preSave()">修改</button>
					</view>
				</uni-forms>
			</uni-section>

		</uni-card>

		<view>
			<!-- 普通弹窗 -->
			<uni-popup ref="popup" background-color="#fff">
				<picker-view :indicator-style="indicatorStyle" @change="bindChange" class="picker-view">
					<picker-view-column v-if="jiedaoData.length > 0">
						<view class="item" v-for="(item,index) in jiedaoData" :key="index">{{item.label}}</view>
					</picker-view-column>
					<picker-view-column v-if="shequData.length > 0">
						<view class="item" v-for="(item,index) in shequData" :key="index">{{item.label}}</view>
					</picker-view-column>
				</picker-view>
			</uni-popup>
		</view>
	</view>
</template>

<script>
	import myfile from '@/components/my-file/my-file.vue';
	import {
		decryptRowData_ECB,
		decryptData_ECB
	} from '@/common/sm4.js'
	import {
		GetChildListByCode
	} from '@/api/dict.js'
	import {
		showConfirm,
		getDictInfo,
		toast,
		toBase64
	} from '@/common/common.js'
	import {
		UploadOne,
		UploadSome,
		UploadSomeFile
	} from '@/api/upload.js'
	import {
		Register
	} from '@/api/login.js'
	import {
		getUser
	} from '@/common/auth.js'
	import CryptoJS from 'crypto-js';
	import config from '@/config.js';
	import idCardNoUtil from '@/common/idcard.js'
	import {
		translate,
		base64ToUrl,
		blobToDataURI,
		translateAll,
		base64toFilen,
		fileToBlob
	} from '@/common/image.js'
	import {
		setToken,
		setOpenid,
		getOpenid,
		setUser
	} from '@/common/auth.js'
	import {
		getAccessToken,
		idcard,
		match
	} from '@/common/baiduUtil.js'
	import {
		updateKhjbxx,
		infoKhjbxx,
		GetLrByZjhm,
		SaveKhjbxx,
		GetUrl
	} from '@/api/kh.js'
	export default {
		components: {
			myfile
		},
		data() {
			return {
				items: [],
				level: 3,
				id: '',
				diqu: '',
				item: {},
				tkzmList: [],
				dbzmList: [],
				zczmList: [],
				isCheck: false,
				indicatorStyle: `height: 50px;`,
				jiedaoData: [],
				shequData: [],
				jiedaoValue: {},
				shequValue: {},
				shequIndex: 0,
				jiedaoIndex: 0,
				disabled: true,
				show: false,
				radio: "0",
				radioData: [{
					text: '否',
					value: "0"
				}, {
					text: '是',
					value: "1"
				}],
				// 字典
				dicts: {
					// 民族
					C0009: [],
					// 性别
					C0007: [],
				},
				// 百度云access_token
				token: '',
				// 人像地址
				src: "/static/images/head.png",
				// 身份拍摄地址
				zjSrc: "",
				// 身份证裁剪地址
				zjcaijianSrc: '/static/images/zhengmian.png',
				zjcaijianSrcFan: '/static/images/fanmian.png',
				//模糊的身份证
				zjcaijianSrc2: '/static/images/zm.png',
				zjcaijianSrcFan2: '/static/images/bm.png',
				cardType: 'front',
				frontBase64: '',
				backBase64: '',
				file1: "",
				file2: "",
				file3: "",
				file4: "",
				file5: "",
				file6: "",
				showSrc: "",
				// 人员信息
				userInfo: {},
				userType: '',
				// 组
				groupId: '',
				// 身份证号加密
				idcardMD5: '',
				// 人像base64
				faceBase64: '',
				// 身份证base64
				idcardFace: '',
				idcardFaceUrl: '',
				// 对比份数
				score: 0,
				// ocrXm
				ocrXm: '',
				isSearch: false,
				baseFormData: {
					lrXm: '',
					lrZjhm: '',
					lrHjbcxx: '',
					lrCydh: '',
					code: '',
					diqu: '',
					lrHjdz: '',
					istk: "0",
					isdb: "0",
					iszc: "0",
					lzzt: 0,
					lrZjz: ""
				},
				rules: {
					jzdz: {
						rules: [{
							required: true,
							errorMessage: '住址不能为空'
						}]
					},
					lrXm: {
						rules: [{
							required: true,
							errorMessage: '姓名不能为空'
						}]
					},
					diqu: {
						rules: [{
							required: true,
							errorMessage: '请选择地区'
						}]
					},
					photo: {
						rules: [{
							required: true,
							errorMessage: '请上传人像'
						}]
					},
					lrCydh: {
						rules: [{
								required: true,
								errorMessage: '手机号不能为空'
							},
							{
								format: 'number',
								errorMessage: '请输入正确的手机号',
							},
							{
								// pattern:'/^1\d{10}$/',
								pattern:'^1[3-9]\\d{9}$',
								// pattern: '^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(17[0-9]{1}))+\\d{8})$',
								errorMessage: '请输入正确的手机号',
							}
						]
					},
					jhrlxdh: {
						rules: [{
								required: false,
								errorMessage: '监护人联系电话不能为空'
							},
							{
								format: 'number',
								errorMessage: '请输入正确的手机号',
							},
							{
								// pattern: '^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(17[0-9]{1}))+\\d{8})$',
								pattern:'^1[3-9]\\d{9}$',
								errorMessage: '请输入正确的手机号',
							}
						]
					}
				},
			}
		},
		onLoad(o) {
			this.userInfo = getUser()
			this.userType = this.userInfo.userType
			let unitFilter = this.userInfo.dept.unitFilter.split(',')
			this.level = unitFilter.length
			//  查询街道和社区
			this.getAddressList(this.userInfo.dept.locationCode)

			// this.getDictList(Object.keys(this.dicts), this.dicts)
			this.baseFormData.code = getOpenid()

			this.groupId = this.userInfo.dept.locationCode.substring(0, 6)
			this.id = o.id
		},
		methods: {
			onchange(e) {
				this.diqu=e.detail.value.map(item=>item.text).join('/')
				console.log('baseFormData.lrHjdz',this.baseFormData.lrHjdz)
			},
			openPicker(){
				uni.hideKeyboard()
				this.$refs.picker.show()
			},
			radioChange(key, e) {
				const key1 = key.replace('List', ''),
					{
						value
					} = e.detail
				if (value === '0') {
					this[key] = []
					this.baseFormData[key1] = ''
				}
			},
			ht() {
				let param = {
					id: this.baseFormData.id,
					url: 'https://www.ccsckj.com/'
				}
				GetUrl(param).then(res => {
					if (res.code == 200) {
						window.open(res.data.url, '_self');
					} else {
						toast('该功能暂未开放')
						// uni.navigateBack()
					}

				})
			},
			showInfo(id) {
				infoKhjbxx(id).then(res => {
					if (res.data) this.baseFormData = decryptData_ECB(res.data, ["lrZjhm", "lrXm",
						"lrHjbcxx",
						"lrXjdzBcxx",
						"lrCydh", "lrPoxm", "lrPoZjmh", "jhrXm", "jhrSjhm", "zlrXm", "zlrDh",
						"cjzh",
						"yhzh", "khmc", "jhrxm", "jhrlxdh"
					], [2, 1, 4, 4, 3, 1, 2, 1, 2, 1, 3, 5, 5, 5]);
					if(this.baseFormData.lrHjdz){
						let lrHjdz = this.baseFormData.lrHjdz
						let lastLrhjdz = ''
						if (Array.isArray(lrHjdz)) {
							lastLrhjdz = lrHjdz[lrHjdz.length - 1]
						} else {
							let data = lrHjdz.split(',')
							lastLrhjdz = data[data.length - 1]
						}
						this.baseFormData.lrHjdz=lastLrhjdz
					}
					if (this.baseFormData.lrTx) this.src = config.baseUrl + this.baseFormData.lrTx
					if (this.baseFormData.lrHjdz) {
						this.jiedaoData.forEach((e, jiedaoIndex) => {
							if (e.children.length > 0) {
								e.children.forEach((ee, shequIndex) => {
									if (ee) {
										if (ee.code == this.baseFormData.lrHjdz) {
											this.shequValue = ee
											this.jiedaoValue = e
											this.diqu = this.jiedaoValue.label + '/' + this
												.shequValue.label
										}
									} else {
										if (e.code == this.baseFormData.lrHjdz) {
											this.jiedaoValue = e
											this.diqu = this.jiedaoValue.label
										}
									}

								})
							}
						})
					}
					if (this.baseFormData.lrZjz) this.zjcaijianSrc = this.baseFormData.lrZjz
					if (res.data && res.data.sfzzpb) this.zjcaijianSrcFan = res.data.sfzzpb
					if (res.data && res.data.tkzm) this.tkzmList = [res.data.tkzm]
					if (res.data && res.data.dbzm) this.dbzmList = [res.data.dbzm]
					if (res.data && res.data.zczm) this.zczmList = [res.data.zczm]
					if (res.data) this.updateFlag = true

					console.log(this.baseFormData,'this.baseFormData');
				})
			},
			tkChange(e) {
				this.tkzmList = e
			},
			dbChange(e) {
				this.dbzmList = e
			},
			zcChange(e) {
				this.zczmList = e
			},
			getAddressList(code) {
				if (this.userType === '07') {
					code = code.substring(0, 6) + '000000'
				}
				GetChildListByCode({
					code: code
				}).then(res => {
					if (res.data) {
						if (this.level === 3) { //区县级用户
							this.jiedaoData = res.data
							this.items = res.data.map(item => {
								if(item.children&&item.children[0]&&item.children[0].code)
								{
									return {
										...item,
										text: item.label,
										value: item.code,
										children: item.children.map((ite) => {
											return {
												...ite,
												text: ite.label,
												value: ite.code,
												children: []
											}
										})
									}
								}else{
									return {
										...item,
										text: item.label,
										value: item.code,
										children:[],
									}
								}
								
							});
							this.shequData = res.data[0].children
							this.jiedaoValue = this.jiedaoData[0]
							this.shequValue = this.shequData[0]
							if(!this.baseFormData.lrHjdz)
							{
								this.diqu = this.jiedaoValue.label + '/' + this.shequValue.label
								this.baseFormData.lrHjdz = this.shequValue.code
							}else{
								this.diqu=this.baseFormData.xzqhName
							}
							
						} else if (this.level === 4) { //街道级用户
							this.shequData = res.data
							this.shequValue = this.shequData[0]
							if(!this.baseFormData.lrHjdz)
							{
							this.diqu = this.shequValue.label
							this.baseFormData.lrHjdz = this.shequValue.code
							}else{
								this.diqu=this.baseFormData.xzqhName
							}
						} else if (this.level === 5) { //社区级用户
							this.baseFormData.lrHjdz = this.userInfo.dept.locationCode
						}
						if (this.id) this.showInfo(this.id)
					}
				})
			},
			callbackFace(res) {
				uni.hideLoading()
				if (res.data.error_msg == 'SUCCESS') {
					this.score = res.data.result.score;

					this.baseFormData.lrTxdb = JSON.stringify({
						"lrJmzjhm": this.idcardMD5,
						"xsfs": this.score
					})
					if (this.score >= config.score) {
						this.show = false
						// this.baseFormData.lzzt = 3
						this.baseFormData.lzzt = 0
						// this.baseFormData.lrSpyj = '同意'
						this.baseFormData.lrSpyj = ''
					} else {
						// 低于80选项是否人工审核，是的话进记录表
						// 身份证头像保存后端
						// 人脸库注册人脸、身份证md5
						// 修改的时候去人脸库搜索，搜索不到不允许修改
						// 修改成功替换原始人脸库照片
						// 首次修改搜索身份证
						// 后端没入库，人脸库相应删除
						// ocr失败身份证原版入库，ocr成功人脸入库
						// showConfirm('人像与身份证不符，请重新上传')

						// this.baseFormData.lzzt = 1
						// this.baseFormData.lrSpyj = ''
						this.baseFormData.lzzt = 0
						this.baseFormData.lrSpyj = ''
						this.show = true
					}
					this.baseFormData.prelrZjz = this.zjcaijianSrc

				} else {
					showConfirm(res.data.error_msg)
					this.faceBase64 = ''
				}
			},
			callbackToken(e) {
				this.token = e
			},
			toggle(type) {
				uni.hideKeyboard()
				if (this.level === 3) {
					this.shequData = this.jiedaoData[0].children
				}
				// open 方法传入参数 等同在 uni-popup 组件上绑定 type属性
				this.$refs.popup.open(type)
			},
			bindChange(e) {
				if (this.level === 3) { // 区县级用户
					if (e.detail.value.length == 1) {
						this.jiedaoValue = this.jiedaoData[e.detail.value[0]]
						this.shequData = this.jiedaoData[e.detail.value[0]].children
						if (this.shequData.length > 0 && this.shequData[0] != null) {
							this.shequValue = this.shequData[0]
							this.diqu = this.jiedaoValue.label + '/' + this.shequValue.label
							this.baseFormData.lrHjdz = this.shequValue.code
						} else {
							this.shequData = []
							this.shequValue = ''
							this.diqu = this.jiedaoValue.label
							this.baseFormData.lrHjdz = this.jiedaoValue.code
						}
					} else {
						let index = e.detail.value[0] ? e.detail.value[0] : 0
						this.jiedaoValue = this.jiedaoData[index]
						this.shequValue = this.shequData[e.detail.value[1]]
						this.diqu = this.jiedaoValue.label + '/' + this.shequValue.label
						this.baseFormData.lrHjdz = this.shequValue.code
					}
				} else if (this.level === 4) { // 街道级用户
					this.shequValue = this.shequData[e.detail.value[0]]
					this.diqu = this.shequValue.label
					this.baseFormData.lrHjdz = this.shequValue.code
				}

				// if (e.detail.value.length == 1) {
				//   this.jiedaoValue = this.jiedaoData[e.detail.value[0]]
				//   this.shequData = this.jiedaoData[e.detail.value[0]].children
				//   if (this.shequData.length > 0 && this.shequData[0] != null) {
				//     this.shequValue = this.shequData[0]
				//     this.diqu = this.jiedaoValue.label + '/' + this.shequValue.label
				//     this.baseFormData.lrHjdz = this.shequValue.code
				//   } else {
				//     this.shequData = []
				//     this.shequValue = ''
				//     this.diqu = this.jiedaoValue.label
				//     this.baseFormData.lrHjdz = this.jiedaoValue.code
				//   }

				// } else {
				//   let index = e.detail.value[0] ? e.detail.value[0] : 0
				//   this.jiedaoValue = this.jiedaoData[index]
				//   this.shequValue = this.shequData[e.detail.value[1]]
				//   this.diqu = this.jiedaoValue.label + '/' + this.shequValue.label
				//   this.baseFormData.lrHjdz = this.shequValue.code
				// }

			},
			buildDataByLevel(data, pid) {
				let result = [];
				data.filter(e => {
					return e.parent_id === pid
				}).forEach(e => {
					result.push({
						value: e.code,
						text: e.name,
						id: e.id,
						children: this.buildDataByLevel(data, e.id)
					})
				})
				return result.length > 0 ? result : []
			},
			paizhao(type) {
				this.type = type
				if (this.type == 'back' && !this.ocrXm) {
					showConfirm('请先拍摄身份证人像面')
					return
				}
				uni.setStorageSync("cardType", type)
				uni.navigateTo({
					url: '/pages/info/card'
				})
			},
			onnodeclick(node) {
				this.groupId = node.code.substring(0, 6)
				this.baseFormData.lrHjdz = this.groupId + '000000'
			},

			preSave() {
				if (this.baseFormData.lzzt != 0 && this.baseFormData.lzzt != 3 && this.baseFormData.lzzt != 4 && this
					.baseFormData.lzzt != 6) {
					showConfirm('信息正在审核，请审核后重试')
					return
				}
				if (this.baseFormData.istk == 1 && this.tkzmList.length == 0) {
					showConfirm('请先上传特困证明')
					return
				}
				if (this.baseFormData.isdb == 1 && this.dbzmList.length == 0) {
					showConfirm('请先上传低保证明')
					return
				}
				if (this.baseFormData.iszc == 1 && this.zczmList.length == 0) {
					showConfirm('请先上传重残证明')
					return
				}

				this.save()
			},
			save() {
				uni.showLoading({
					title: '正在修改中...',
					mask: true,
				})
				let paramFiles = []
				if (this.baseFormData.istk == 1 && this.tkzmList.length == 1 && this.tkzmList[0].indexOf(
						'data:image') > -1) {
					fileToBlob(base64toFilen(this.tkzmList[0]), (e) => {
						this.file4 = e
						paramFiles.push({
							name: "file4",
							uri: this.file4
						})
					})

					if (this.baseFormData.lzzt != 2 || this.baseFormData.lzzt != 1) {
						// 特殊材料待审核
						// this.baseFormData.lzzt = 5
						this.baseFormData.lzzt = 0
						this.baseFormData.lrSpyj = '无'
					}

				}
				if (this.baseFormData.isdb == 1 && this.dbzmList.length == 1 && this.dbzmList[0].indexOf(
						'data:image') > -1) {
					fileToBlob(base64toFilen(this.dbzmList[0]), (e) => {
						this.file5 = e
						paramFiles.push({
							name: "file5",
							uri: this.file5
						})
					})
					if (this.baseFormData.lzzt != 2 || this.baseFormData.lzzt != 1) {
						// 特殊材料待审核
						// this.baseFormData.lzzt = 5
						this.baseFormData.lzzt = 0
						this.baseFormData.lrSpyj = '无'
					}
				}
				if (this.baseFormData.iszc == 1 && this.zczmList.length == 1 && this.zczmList[0].indexOf(
						'data:image') > -1) {
					fileToBlob(base64toFilen(this.zczmList[0]), (e) => {
						this.file6 = e
						paramFiles.push({
							name: "file6",
							uri: this.file6
						})
					})
					if (this.baseFormData.lzzt != 2 || this.baseFormData.lzzt != 1) {
						// 特殊材料待审核
						// this.baseFormData.lzzt = 5
						this.baseFormData.lzzt = 0
						this.baseFormData.lrSpyj = '无'
					}
				}

				let that = this
				setTimeout(function() {
					UploadSomeFile(paramFiles).then(res => {
						if (res.data.url1) {
							that.baseFormData.lrZjz = res.data.url1
						}
						if (res.data.url2) {
							that.baseFormData.sfzzpb = res.data.url2
						}
						if (res.data.url3) {
							that.baseFormData.lrTx = res.data.url3
						}

						if (that.baseFormData.istk == 1 && that.tkzmList.length == 1 && !(that.baseFormData
								.tkzm)) {
							that.baseFormData.tkzm = res.data.url4
						}
						if (that.baseFormData.isdb == 1 && that.dbzmList.length == 1 && !(that.baseFormData
								.dbzm)) {
							that.baseFormData.dbzm = res.data.url5
						}
						if (that.baseFormData.iszc == 1 && that.zczmList.length == 1 && !(that.baseFormData
								.zczm)) {
							that.baseFormData.zczm = res.data.url6
						}
						that.$refs['baseForm'].validate().then(res => {
							if (that.updateFlag) {
								// let lrHjdz = that.baseFormData.lrHjdz
								// let lastLrhjdz = ''
								// if (Array.isArray(lrHjdz)) {
								// 	lastLrhjdz = lrHjdz[lrHjdz.length - 1]
								// } else {
								// 	let data = lrHjdz.split(',')
								// 	lastLrhjdz = data[data.length - 1]
								// }
								// let params = {
								// 	...that.baseFormData,
								// 	lrHjdz: lastLrhjdz,
								// }
								updateKhjbxx(that.baseFormData).then(r => {
									uni.hideLoading()
									if (r.code == 200) {
										toast('保存成功')
										setTimeout(function() {
											uni.switchTab({
												url: '/pages/lr/list'
											})

											// uni.navigateBack()
										}, 1000)
									}
								})
							} else {
								SaveKhjbxx(that.baseFormData).then(r => {
									uni.hideLoading()
									if (r.code == 200) {
										toast('保存成功')
										// setOpenid(r.data.openId)
										// setUser(r.data.sysUser)
										// setToken(r.data.token.access_token)
										setTimeout(function() {
											uni.switchTab({
												url: '/pages/index/index'
											})
										}, 1000)
									}
								})
							}
						}).catch(err => {
							uni.hideLoading()
						})

					})
				}, 500)

			}
		}
	}
</script>

<style scoped>
	.content {
		padding: 1vh;
	}


	.lzcOCR {
		display: flex;
		justify-content: space-between;
		margin-top: 5vh;

	}

	.imgBox {
		width: 47%;
		text-align: center;

		image {
			width: 100%;
		}

		.text {
			width: 100%;
			/* background-color: red; */
		}
	}

	.miaoshu {
		margin-top: 5vh;
		font-size: 14px;
	}

	.buttonClass {
		margin-top: 4vh;
		margin-left: 4vw;
		width: 68vw;
		/* height: 5vh; */
		border-radius: 5.8vw;
		/* border: 1px solid rgba(176, 179, 199, 1); */
		background: #28d87d;
		color: white;
		height: 5vh;
		display: flex;
		align-items: center;
		justify-content: center;
		box-shadow: 0rpx 4rpx 10rpx 1rpx rgba(40, 216, 125, 0.4);
	}

	.picker-view {
		width: 750rpx;
		height: 600rpx;
		margin-top: 20rpx;
	}

	.item {
		line-height: 100rpx;
		text-align: center;
	}
</style>